www.cendio.com

Bug 4736

Summary: Improve HTML5 performance - request new framebuffer updates without delays
Product: ThinLinc Reporter: Peter ├ůstrand <astrand@cendio.se>
Component: Web AccessAssignee: Samuel Mannehed <samuel@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: aaron@cendio.se
Version: trunkKeywords: aaron_tester, relnotes
Target Milestone: 4.1.1   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 4606    
Bug Blocks:    

Description From cendio 2013-07-02 12:22:18
Bug 4606 is a kind of meta bug for HTML5 performance improvements. However, one
thing we could do in near future is to fix this issues:

https://github.com/kanaka/noVNC/issues/221

ie remove the arbitrary waiting times before requesting new updates.
------- Comment #1 From cendio 2013-07-22 16:49:18 -------
Fixed in revision 27718.
------- Comment #2 From cendio 2013-08-29 16:31:53 -------
Updated in revision 27816.
------- Comment #3 From cendio 2013-10-21 15:03:33 -------
A bit tricky to test without a reference point, but I'll assume that the
proposed changes have been implemented. One thing I noticed was that moving
windows around the desktop is laggy when using a desktop browser, and almost
completely unresponsive using iPad.

However, we still have bug #4606 and performance is probably sufficient for
now. Closing.